Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Common\Slot Class Reference

General slot implementation for Search Engines. More...

Inheritance diagram for eZ\Publish\Core\Search\Common\Slot:

## Public Member Functions
| __construct (Repository $repository, PersistenceHandler $persistenceHandler, SearchHandler $searchHandler)
Public Member Functions inherited from eZ\Publish\Core\SignalSlot\Slot
| receive (Signal $signal)
| Receive the given $signal and react on it. More...

## Protected Attributes
| $repository
| $persistenceHandler
| $searchHandler

## Detailed Description

General slot implementation for Search Engines.

Definition at line 17 of file Search/Common/Slot.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Common\Slot::__construct | ( | Repository | $repository,
|  | PersistenceHandler | $persistenceHandler,
|  | SearchHandler | $searchHandler
| ) |  |

Definition at line 28 of file Search/Common/Slot.php.

References eZ\Publish\Core\Search\Common\Slot\$persistenceHandler, eZ\Publish\Core\Search\Common\Slot\$repository, and eZ\Publish\Core\Search\Common\Slot\$searchHandler.

## Member Data Documentation

## ◆ $persistenceHandler

eZ\Publish\Core\Search\Common\Slot::$persistenceHandler
| protected

Definition at line 23 of file Search/Common/Slot.php.

Referenced by eZ\Publish\Core\Search\Common\Slot\__construct().

## ◆ $repository

eZ\Publish\Core\Search\Common\Slot::$repository
| protected

Definition at line 20 of file Search/Common/Slot.php.

Referenced by eZ\Publish\Core\Search\Common\Slot\__construct().

## ◆ $searchHandler

eZ\Publish\Core\Search\Common\Slot::$searchHandler
| protected

Definition at line 26 of file Search/Common/Slot.php.

Referenced by eZ\Publish\Core\Search\Common\Slot\__construct().

The documentation for this class was generated from the following file:

- Search/Common/Slot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.